Subject: bug#24694: Document url--allow-chars for external use?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Oct 2016 22:02:24 +0300

> From: Hong Xu <[email-masked]>
> Date: Fri, 14 Oct 2016 11:24:52 -0700
> 
> Currently url-hexify-string has an optional argument allowed-chars,
> which is a long vector. However, it is more natural to specify a list of
> characters. Internally, the default value of allowed-chars is specified
> by converting a list of chars to such a vector by using an internal
> function url--allow-chars. I would like to suggest to document
> url--allow-chars for external use, thus we can improve the interface of
> the url-hexify-string function.
> 
> I can draft the document change, if you agree with me.

Isn't it better to teach url-hexify-string to accept lists as well?